#!/usr/dist/pkgs/perl,v5.003/5bin.sun4/perl

require 5.003;
BEGIN {
    my($workdir) = ($0 =~ /(.*)\/.*/);
    unshift(@INC,"$workdir/../lib");
}
my($workdir) = ($0 =~ /(.*)\/.*/);
use BER;
use SNMP_Session;
use SNMP_MIB;
use SNMP_Simple;
use Socket;
use strict;

$SNMP_Session::suppress_warnings = 1;
SNMP_MIB::loadoids("$workdir/../mibs", "RFC1213", "CISCO-PRODUCTS");
### MAIN ###

my($community) = "public";
my($line);
while (<>) {
    chomp;
    my($host, $sysobjid) = split;
    my($hostname) = gethostbyaddr(pack('C4', split(/\./, $host)), AF_INET);
    
    my $ping = system("/usr/sbin/ping $host 2 > /dev/null 2>&1");
    if ($ping == 0) {
	my $session = SNMP_Simple->open ($host, $community, 161);
	$session->{'session'}->{'retries'} = 1;
	my ($sysName, $sysContact, $sysobjid) = 
	    $session->snmpget('sysName', 'sysContact', 'sysObjectID');
	my $objid = SNMP_MIB::oid2name($sysobjid);
	print "$host ($hostname) ($sysName) ($sysContact) ($sysobjid:$objid)\n";
	$session->close();
    }
}

exit 0;
